Name:		opencpn
Version:	3.2.0
Release:	1%{?dist}
Summary:	A free and open source software for marine navigation

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://opencpn.org
Source0:	http://sourceforge.net/projects/opencpn/files/opencpn/%{version}/OpenCPN-%{version}-Source.tar.gz
#Patch0:		CMakeLists.txt.patch

BuildRequires:	cmake
BuildRequires:	libstdc++-devel 
BuildRequires:	gtk2-devel 
BuildRequires:	wxGTK-devel 
BuildRequires:	mesa-libGLU-devel 
BuildRequires:	mesa-libGL-devel 
BuildRequires:	gettext 
BuildRequires:	bzip2-devel
BuildRequires:	ghc-OpenGL
Requires:	gpsd
Requires:	tinyxml
BuildRequires:	gdal-devel
Requires:	libNMEA0183.so libGARMINHOST.so libS57ENC.so libS57ENC.so libgrib_pi.so libdashboard_pi.so

%description
OpenCPN is a free software project to create a concise chart plotter
and navigation software, for use underway or as a planning tool. OpenCPN is
developed by a team of active sailors using real world conditions for program
testing and refinement.

%package devel
Summary: opencpn static libraries
Group: Development/Libraries
Provides: libNMEA0183.so libGARMINHOST.so libS57ENC.so libgrib_pi.so libdashboard_pi.so

%description devel
This package contains the static libraries for opencpn.

%prep
%setup -q -n OpenCPN-%{version}-Source
#rm -fr %{_builddir}/OpenCPN-%{version}-Source/src/mygdal
#%patch0 -p1

%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
%find_lang %{name}
%find_lang %{name}-dashboard_pi
%find_lang %{name}-grib_pi
sed -i 's/\r//' %{_builddir}/OpenCPN-%{version}-Source/src/wxJSON/jsonwriter.cpp 
sed -i 's/\r//' %{_builddir}/OpenCPN-%{version}-Source/include/wx/jsonwriter.h
sed -i 's/\r//' %{_builddir}/OpenCPN-%{version}-Source/src/wxJSON/jsonval.cpp

%check
ctest

%files -f %{name}.lang 
%doc %{_defaultdocdir}/%{name}/*
%doc %{_datadir}/%{name}/doc/*
%doc %{_datadir}/%{name}/license.txt
%{_datadir}/%{name}/sounds/*
%{_datadir}/%{name}/gshhs/*
%{_datadir}/%{name}/tcdata/*
%{_datadir}/%{name}/s57data/*
%{_datadir}/%{name}/uidata/*
%{_datadir}/icons/*
%{_datadir}/applications/%{name}.desktop
%{_libdir}/*
%{_bindir}/*

%files devel
%{name}-dashboard_pi.lang
%{name}-grib_pi.lang
/libS57ENC.so
/libGARMINHOST.so
/libNMEA0183.so
%{_usr}/%{_lib}/%{name}/libdashboard_pi.so
%{_usr}/%{_lib}/%{name}/libgrib_pi.so

%changelog
* Sun Mar 24 2013 Eric 'Sparks' Christensen <sparks@fedoraproject.org> - 3.2.0-1
- Initial package.
